# Interface ProgressListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ProgressListener
Receives progress information. May be used to display a progress bar.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ProgressListener`
`NOP`
Nop implementation.

## Method Summary

Modifier and Type
Method
Description
`void`
`update(long bytesRead, long contentLength, int items)`
Updates the listeners status information.

## Field Details

### NOP

static final ProgressListener NOP
Nop implementation.

## Method Details

### update

void update(long bytesRead, long contentLength, int items)
Updates the listeners status information.

Parameters:
  `bytesRead` - The total number of bytes, which have been read so far.
  `contentLength` - The total number of bytes, which are being read. May be -1, if this number is unknown.
  `items` - The number of the field, which is currently being read. (0 = no item so far, 1 = first item is being read, ...)